Create Workflow Version
curl --request POST \
--url https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version_name": "<string>",
"mark_as_active": false,
"source_version_number": 123
}
'import requests
url = "https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/versions"
payload = {
"version_name": "<string>",
"mark_as_active": False,
"source_version_number": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version_name: '<string>', mark_as_active: false, source_version_number: 123})
};
fetch('https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": {
"workflow_id": "5eb7cf5a86d9755df3a6c593",
"workflow_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "User Created",
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_29ddb936-6fcd-4122-a362-69048416bcf1",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "no_llm"
},
"main_response_config": {
"prompt": "<string>"
},
"backchannel_response_config": {
"prompt": "<string>"
},
"default_prompt_prefix": "<string>",
"default_prompt_suffix": "<string>",
"ignore_content_received_during_llm_tool_call_specification": false,
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "inline_python",
"code": "<string>"
}
]
},
"mcp_servers": [
{
"server_url": "<string>",
"name": "<string>",
"api_headers": {}
}
],
"global_condition_evaluation_method": "tool_call",
"nodes": [
"<string>"
],
"edges": [
"<string>"
],
"evaluation_config": {
"evaluator_workflow_id": "<string>",
"evaluator_workflow_version_number": 123,
"enable_turn_by_turn_evaluation": false
},
"guardrail_strikes_config": {
"max_guardrail_nodes_before_escalation": 123,
"escalation_node_logical_id": "<string>",
"escalation_message": "<string>"
},
"miscellaneous": {},
"access_config": {
"access_list": [
"<string>"
]
}
},
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"version_number": 0,
"version_name": "Initial Version"
},
"parent_active_version": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflow Versions
Create Workflow Version
POST
/
workflows
/
v1
/
workflows
/
{workflow_id}
/
versions
Create Workflow Version
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
⌘I